Package org.springframework.util.unit

# Enum Class DataUnit

java.lang.Object
java.lang.Enum<DataUnit>
org.springframework.util.unit.DataUnit

All Implemented Interfaces:
  `Serializable`, `Comparable<DataUnit>`, `Constable`

public enum DataUnit extends Enum<DataUnit>
A standard set of `DataSize` units.

The unit prefixes used in this class are binary prefixes indicating multiplication by powers of 2. The following table displays the enum constants defined in this class and corresponding values.

Constant | Data Size | Power of 2 | Size in Bytes
--- | --- | --- | ---
`BYTES` | 1B | 2^0 | 1
`KILOBYTES` | 1KB | 2^10 | 1,024
`MEGABYTES` | 1MB | 2^20 | 1,048,576
`GIGABYTES` | 1GB | 2^30 | 1,073,741,824
`TERABYTES` | 1TB | 2^40 | 1,099,511,627,776

Since:
  5.1
Author:
  Stephane Nicoll, Sam Brannen
See Also:
  - `DataSize`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BYTES`
Bytes, represented by suffix `B`.
`GIGABYTES`
Gigabytes, represented by suffix `GB`.
`KILOBYTES`
Kilobytes, represented by suffix `KB`.
`MEGABYTES`
Megabytes, represented by suffix `MB`.
`TERABYTES`
Terabytes, represented by suffix `TB`.

## Method Summary

Modifier and Type
Method
Description
`static DataUnit`
`fromSuffix(String suffix)`
Return the `DataUnit` matching the specified `suffix`.
`static DataUnit`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DataUnit[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BYTES

public static final DataUnit BYTES
Bytes, represented by suffix `B`.

### KILOBYTES

public static final DataUnit KILOBYTES
Kilobytes, represented by suffix `KB`.

### MEGABYTES

public static final DataUnit MEGABYTES
Megabytes, represented by suffix `MB`.

### GIGABYTES

public static final DataUnit GIGABYTES
Gigabytes, represented by suffix `GB`.

### TERABYTES

public static final DataUnit TERABYTES
Terabytes, represented by suffix `TB`.

## Method Details

### values

public static DataUnit[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DataUnit valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromSuffix

public static DataUnit fromSuffix(String suffix)
Return the `DataUnit` matching the specified `suffix`.

Parameters:
  `suffix` - one of the standard suffixes
Returns:
  the `DataUnit` matching the specified `suffix`
Throws:
  `IllegalArgumentException` - if the suffix does not match the suffix of any of this enum's constants